Subject: bug#12056: 24.1.50; Background color in selected and non-selected windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Jul 2017 11:54:05 +0300

> From: Dani Moncayo <[email-masked]>
> Date: Thu, 20 Jul 2017 09:35:35 +0200
> 
> On Thu, Jul 26, 2012 at 2:41 PM, Dani Moncayo <[email-masked]> wrote:
> > Severity: wishlist.
> >
> > I'd like to be able to customize Emacs so that the selected window in
> > a frame had a different background color than the not-selected windows
> > in that frame.
> >
> > This would make the selected windows to stand out over the others,
> > thus making very easy to see where the "focus" is.
> 
> This is currently the feature that I miss the most in Emacs.  IMO, it
> would be a valuable improvement to the usability of Emacs.

Is your problem indeed with the same buffer appearing more than once
on the same frame?  Because if not, face-remapping-alist should
provide you with the infrastructure upon which you can build this
feature for you.